{% extends 'basepartials/base.html' %}
{% load static %}
{% load form_tags %}
{% block title %}Oportunidades de venta{% endblock %}
{% block extra_style %}
<link rel="stylesheet" type="text/css" href="{% static 'css/validacion.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/step_wizard.css' %}">
<style>
  .custom-file .custom-file-label:lang(en)::after {
    content: "Selecciona...";
  }

  .visible-add {
    display: inline-table;
  }
</style>
{% endblock %}
{% block content %}
<div class="container container-full">
  <div class="card" style="padding: 0;" id="panel-table-oportunidad-ventas">
    <div class="card-header">
      <h2 class="card-title">Registro de Oportunidad de Venta</h2>
    </div>
    <div class="card-body" style="margin: 0;">
      <div class="stepwizard">
        <div class="stepwizard-row setup-panel">
          <div class="stepwizard-step">
            <a href="#step-1" type="button" class="btn btn-primary btn-circle">1</a>
            <p>Oportunidad</p>
          </div>
          <div class="stepwizard-step">
            <a href="#step-2" type="button" class="btn btn-default btn-circle" disabled="disabled">2</a>
            <p>Contacto</p>
          </div>
          <div class="stepwizard-step">
            <a href="#step-3" type="button" class="btn btn-default btn-circle" disabled="disabled">3</a>
            <p>Contactos Adicionales</p>
          </div>
        </div>
      </div>
      <form action="." method="post" role="form" enctype="multipart/form-data">{% csrf_token %}
        <!-- PRIMER STEP-->
        <div class="row setup-content" id="step-1">
          <div class="row fullWidth">
            <div class="col-sm-4">
              <div class="form-group">
                {{ form.client.label_tag }}<i style="color:red;">(*)</i>
                {{ form.client|addcss:"form-control" }}
                {% if form.client.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.client.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-3 col-sm-4">
              <div class="form-group">
                {{ form.manual_code.label_tag }}<i style="color:red;">(*)</i>
                {{ form.manual_code|addcss:"form-control" }}
                {% if form.manual_code.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.manual_code.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
          </div>
          <hr class="fullWidth">
          <div class="row fullWidth">
            <div class="col-sm-4">
              <div class="form-group">
                {{ form.product.label_tag }}<i style="color:red;">(*)</i>
                {{ form.product|addcss:"form-control" }}
                {% if form.product.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.product.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-3 col-sm-4">
              <div class="form-group">
                {{ form.subproduct.label_tag }}<i style="color:red;">(*)</i>
                {{ form.subproduct|addcss:"form-control" }}
                {% if form.subproduct.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.subproduct.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
          </div>
          <hr class="fullWidth">
          <div class="row fullWidth">
            <div class="col-sm-2">
              <div class="form-group">
                {{ form.phase.label_tag }}<i style="color:red;">(*)</i>
                {{ form.phase|addcss:"form-control" }}
              </div>
            </div>

            <div class="offset-sm-1 col-sm-2">
              <div class="form-group">
                {{ form.priority.label_tag }}<i style="color:red;">(*)</i>
                {{ form.priority|addcss:"form-control" }}
                {% if form.priority.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.priority.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-2">
              <div class="form-group">
                {{ form.company.label_tag }} <i style="color:red;">(*)</i>
                {{ form.company|addcss:"form-control" }}
                {% if form.company.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.company.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-2">
              <div class="form-group">
                {{ form.contact_way.label_tag }}<i style="color:red;">(*)</i>
                {{ form.contact_way|addcss:"form-control" }}
                {% if form.contact_way.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_way.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
          </div>
          <hr class="fullWidth">
          <div class="row fullWidth">
            <div class="col-sm-2">
              <div class="form-group">
                {{ form.revenue.label_tag }}<i style="color:red;">(*)</i>
                {{ form.revenue|addcss:"form-control" }}
                {% if form.revenue.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.revenue.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <hr class="fullWidth">
            <div class="col-sm-8">
                <div class="form-group">
                  {{ form.description.label_tag }}
                  {{ form.description|addcss:"form-control" }}
                </div>
            </div>
          </div>
          <hr class="fullWidth">
          <br><br>
          <div class="row fullWidth">
            <div class="col-sm-3"></div>
            <div class="col-sm-6 text-center">
              <a style="width: 200px" class="btn btn-danger pull-left"
                 href="{% url 'sale_opportunity:saleopportunity-list' %}">Cancelar</a>
              <input type="submit" value="Guardar" class="btn btn-primary" style="width: 200px">
            </div>
            <div class="col-sm-3"></div>
          </div>
        </div>
        <!-- SEGUNDO STEP -->
        <div class="row setup-content" id="step-2">
          <p><strong>Contacto 1</strong></p>
          <div class="row fullWidth">
            <div class="col-sm-4">
              <div class="form-group">
                {{ form.contact.label_tag }}<i style="color:red;">(*)</i>
                {{ form.contact|addcss:"form-control" }}
                {% if form.contact.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-2 col-sm-3">
              <div class="form-group">
                {{ form.contact_position.label_tag }}
                {{ form.contact_position|addcss:"form-control" }}
              </div>
            </div>
          </div>
          <div class="row fullWidth">
            <div class="col-sm-2">
              <div class="form-group">
                {{ form.contact_phone_1.label_tag }}<i style="color:red;">(*)</i>
                {{ form.contact_phone_1|addcss:"form-control" }}
                {% if form.contact_phone_1.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_phone_1.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-2">
              <div class="form-group">
                {{ form.contact_phone_2.label_tag }}
                {{ form.contact_phone_2|addcss:"form-control" }}
                {% if form.contact_phone_2.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_phone_2.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-4">
              <div class="form-group">
                {{ form.contact_email.label_tag }}<i style="color:red;">(*)</i>
                {{ form.contact_email|addcss:"form-control" }}
                {% if form.contact_email.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_email.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
          </div>
          <!-- CONTACTO 2 -->
          <hr class="fullWidth">
          <p><strong>Contacto 2</strong></p>
          <div class="row fullWidth">
            <div class="col-sm-4">
              <div class="form-group">
                {{ form.contact_2.label_tag }}
                {{ form.contact_2|addcss:"form-control" }}
                {% if form.contact_2.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_2.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-2 col-sm-3">
              <div class="form-group">
                {{ form.contact_position_2.label_tag }}
                {{ form.contact_position_2|addcss:"form-control" }}
              </div>
            </div>
          </div>
          <div class="row fullWidth">
            <div class="col-sm-2">
              <div class="form-group">
                {{ form.contact_2_phone_1.label_tag }}
                {{ form.contact_2_phone_1|addcss:"form-control" }}
                {% if form.contact_2_phone_1.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_2_phone_1.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-2">
              <div class="form-group">
                {{ form.contact_2_phone_2.label_tag }}
                {{ form.contact_2_phone_2|addcss:"form-control" }}
                {% if form.contact_2_phone_2.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_2_phone_2.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-4">
              <div class="form-group">
                {{ form.contact_email_2.label_tag }}
                {{ form.contact_email_2|addcss:"form-control" }}
                {% if form.contact_email_2.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_email_2.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
          </div>
          <hr class="fullWidth">
          <br><br>
          <div class="row fullWidth">
            <div class="col-sm-3"></div>
            <div class="col-sm-6 text-center">
              <a style="width: 200px" class="btn btn-danger pull-left"
                 href="{% url 'sale_opportunity:saleopportunity-list' %}">Cancelar</a>
              <input type="submit" value="Guardar" class="btn btn-primary" style="width: 200px">
            </div>
            <div class="col-sm-3"></div>
          </div>
        </div>
        <div class="row setup-content" id="step-3">
          <!-- CONTACTO 3 -->
          <p><strong>Contacto 3</strong></p>
          <div class="row fullWidth">
            <div class="col-sm-4">
              <div class="form-group">
                {{ form.contact_3.label_tag }}
                {{ form.contact_3|addcss:"form-control" }}
                {% if form.contact_3.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_3.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-2 col-sm-3">
              <div class="form-group">
                {{ form.contact_position_3.label_tag }}
                {{ form.contact_position_3|addcss:"form-control" }}
              </div>
            </div>
          </div>
          <div class="row fullWidth">
            <div class="col-sm-2">
              <div class="form-group">
                {{ form.contact_3_phone_1.label_tag }}
                {{ form.contact_3_phone_1|addcss:"form-control" }}
                {% if form.contact_3_phone_1.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_3_phone_1.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-2">
              <div class="form-group">
                {{ form.contact_3_phone_2.label_tag }}
                {{ form.contact_3_phone_2|addcss:"form-control" }}
                {% if form.contact_3_phone_2.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_3_phone_2.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-4">
              <div class="form-group">
                {{ form.contact_email_3.label_tag }}
                {{ form.contact_email_3|addcss:"form-control" }}
                {% if form.contact_email_3.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_email_3.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
          </div>
          <!-- CONTACTO 4 -->
          <hr class="fullWidth">
          <p><strong>Contacto 4</strong></p>
          <div class="row fullWidth">
            <div class="col-sm-4">
              <div class="form-group">
                {{ form.contact_4.label_tag }}
                {{ form.contact_4|addcss:"form-control" }}
                {% if form.contact_4.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_4.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-2 col-sm-3">
              <div class="form-group">
                {{ form.contact_position_4.label_tag }}
                {{ form.contact_position_4|addcss:"form-control" }}
              </div>
            </div>
          </div>
          <div class="row fullWidth">
            <div class="col-sm-2">
              <div class="form-group">
                {{ form.contact_4_phone_1.label_tag }}
                {{ form.contact_4_phone_1|addcss:"form-control" }}
                {% if form.contact_4_phone_1.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_4_phone_1.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-2">
              <div class="form-group">
                {{ form.contact_4_phone_2.label_tag }}
                {{ form.contact_4_phone_2|addcss:"form-control" }}
                {% if form.contact_4_phone_2.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_4_phone_2.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-4">
              <div class="form-group">
                {{ form.contact_email_4.label_tag }}
                {{ form.contact_email_4|addcss:"form-control" }}
                {% if form.contact_email_4.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_email_4.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
          </div>
            <hr class="fullWidth">
          <br><br>
          <div class="row fullWidth">
            <div class="col-sm-3"></div>
            <div class="col-sm-6 text-center">
              <a style="width: 200px" class="btn btn-danger pull-left"
                 href="{% url 'sale_opportunity:saleopportunity-list' %}">Cancelar</a>
              <input type="submit" value="Guardar" class="btn btn-primary" style="width: 200px">
            </div>
            <div class="col-sm-3"></div>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
<div id="myModalValidation" class="modal">
    <div class="modal-content">
      {% if form.errors %}
        <div id="close-valid" class="modal-header">
          <h5>
            <strong><i class="glyphicon glyphicon-remove-circle close-valid"></i>&nbsp;Ocurrió un problema al
              registrar la oportunidad de venta, los siguientes campos son obligatorios:</strong>
          </h5>
                  <span class="close">&times;</span>

        </div>
        <div class="modal-body">
          <ul>
            {% for field in form %}
              {% for error in field.errors %}
                <li>{{ field.label_tag }} {{ error }}</li>
              {% endfor %}
            {% endfor %}
          </ul>
        </div>
      {% endif %}
    </div>
  </div>
{% endblock %}
{% block bottom_scripts %}
<script>
  window.urls = {
    clientes: "{% url 'clients:clients-api' %}",
    productos: "{% url 'products:products-api' %}",
    subproductsApi: "{% url 'products:subproducts-api' %}"
  };
  function searchAPI($input, $url, $name) {
    $input.select2({
      ajax: {
        delay: 250,
        url: $url,
        dataType: "json",
        data: function (params) {
          var queryParameters = {
            q: params.term
          };
          return queryParameters;
        },
        processResults: function (data) {
          var data = $.map(data, function (obj) {
            obj.text = obj[$name];//full_name;
            return obj;
          });
          return {
            results: data
          };
        }
      },
      placeholder: $input.attr("placeholder"),
      width: "95%",
      minimumInputLength: 3,
      language: {
        inputTooShort: function () {
          return "Ingrese 3 o más caracteres";
        },
        searching: function () {
          return "Buscando ..."
        },
        noResults: function () {
          return "No se encontraron resultados";
        }
      }
    });
  }
</script>
<script>
  var fileTypes = [
    'jpeg',
    'png',
    'jpg',
    'xlsx',
    'xls',
    'doc',
    'docx',
    'pdf',
    'ppt',
    'pptx',
    'csv',
    'txt'
  ];
  var maxFileSize = 3145728;
  function validFileType(extension) {
    for (var i = 0; i < fileTypes.length; i++) {
      if (extension === fileTypes[i]) {
        return true;
      }
    }
    return false;
  }
  $('.custom-file-input').on('change', function () {
    console.log($(this)[0].files[0].size);
    var size = $(this)[0].files[0].size;
    var extension = $(this).val().split('.').pop();
    if ($.inArray(extension, fileTypes) === -1) {
      $(this).val("");
      if ($(this).next('.custom-file-label').hasClass("selected")) {
        $(this).next('.custom-file-label').removeClass("selected").html("");
      }
      alert("Tipo de archivo " + extension + " no valido");
    } else if (size > maxFileSize) {
      $(this).val("");
      alert("Archivo demasiado pesado, solo se acepta hasta 3 megas");
    }else {
      var fileName = $(this).val().split('\\').pop();
      $(this).next('.custom-file-label').addClass("selected").html(fileName);
    }
  });
  $('.link-formset').formset({
    addText: 'Agrega',
    deleteText: 'Remueve'
  });
  function reloadCssAddDeleteAdjunto() {
    $('.delete-row').css({
      'margin-top': '30px',
      'height': '30px',
      'font-size': '12px',
      'display': 'inline-table'
    });
    $('.delete-row').addClass('btn btn-warning');
    $('.delete-row').empty();
    $('.delete-row').prepend('<i class="fa fa-minus-circle" aria-hidden="true"></i>');
    $('.add-row').css({
      'margin-top': '50px',
      'height': '30px',
      'font-size': '12px',
      'display': 'table-cell'
    });
    $('.add-row').addClass('btn btn-info');
    $('.add-row').empty();
    $('.add-row').prepend('<i class="fa fa-plus-circle" aria-hidden="true"></i> Agrega');
  }
  $(function () {
    reloadCssAddDeleteAdjunto();
    $('.add-row').click(function () {
      $('.delete-row').css({
        'margin-top': '30px',
        'height': '30px',
        'font-size': '12px',
        'display': 'inline-table'
      });
      $('.delete-row').addClass('btn btn-warning');
      $('.delete-row').empty();
      $('.delete-row').prepend('<i class="fa fa-minus-circle" aria-hidden="true"></i>');
    });
    searchAPI($("#id_client"), window.urls.clientes, "name");
    var tiposAdjunto = $('[id ^=id_form-][id $=-type]');
    var archivosAdjunto = $('[id ^=id_form-][id $=-file_doc]');
    var descripcionesAdjunto = $('[id ^=id_form-][id $=-file_doc]');
  });
</script>
<script src="{% static 'vendor/select2/js/select2.full.min.js' %}"></script>
<script src="{% static 'js/step_wizard.js' %}"></script>
<script src="{% static 'js/validacion.js' %}"></script>
<script src="{% static 'js/sale_opportunity_create.js' %}"></script>
<script src="{% static 'js/load_subproduct.js' %}"></script>
<script src="{% static 'js/add_styles.js' %}"></script>
<script src="{% static 'vendor/file-input/js/fileinput.min.js' %}"></script>
<script src="{% static 'vendor/file-input/js/locales/es.js' %}"></script>
<script>
  $('.file-es').fileinput({
    language: 'es',
    uploadUrl: '/',
    uploadAsync: false,
    showPreview: false,
    minFileCount: 1,
    maxFileCount: 1,
    overwriteInitial: false,
    maxFilePreviewSize: 3072,
    maxFileSize: 3072,
    initialPreviewAsData: false,
    allowedFileTypes: ['pdf'],
    allowedFileExtensions: ['pdf'],
    fileActionSettings: {
      showUpload: false
    }
  });

</script>
 <script>
    $(function () {
      var modal = $("#myModalValidation");
      var btn = $("#btn-guardar");
      var span = $("#close-valid");
      {% if form.errors %}
        modal.show();
      {% endif %}
      span.on("click", function (e) {
        modal.hide();
      });
      $(window).click(function (e) {
        if (e.target === modal[0]) {
          modal.hide();
        }
      });
    });
  </script>
{% endblock %}
